
function o = conv2crop(a,b,i);
a = a(:);
b = b(:);
le = ceil(size(b,1)/2);
ri = floor(size(b,1)/2);
to = ceil(size(a,1)/2);
bo = floor(size(a,1)/2);
o = conv2(a(:),b(:),i);
o = o(to:(end-bo),le:(end-ri));
